<?php

namespace App\Media\MSVideo\Containers\rlist;

use App\Media\MSVideo\Container;

class isft extends Container
{
	public function __construct(int $offset,int $size,string $filename,bool $be,?string $data)
	{
		parent::__construct($offset,$size,$filename,$be);

		$this->cache = collect(['software'=>rtrim($data)]);

		// For debugging
		if (FALSE)
			$this->debug = hex_dump($data ?: $this->data());
	}

	public function __get(string $key): mixed
	{
		switch ($key) {
			case 'software':
				return $this->cache->get('software');

			default:
				return parent::__get($key);
		}
	}
}